# サーバー仮想化にかかるGitLabサーバーで発生した問題に関するレポート
2020年10月13日 電子計算機総合研究所 技術長

## 経緯
ドメインpepepper.cf下のすべてのサービスは、それまで自宅にあるサーバー機上のUbuntu Server 20.04によってホストされていた。しかし保守性の向上のため、KVMによって各サービスを分離し仮想化することとした。

## 発生した問題
リストアされたおそらくすべてのプロジェクトに関してリポジトリが存在しないというエラーが発生した

## 発生の経緯
GitLabのバックアップをリストアした際、/var/opt/girlab/git-data下のデータが復旧されていなかったため、root状態で手動でバックアップからコピーした。その際、パーミッションが本来git:gitであるべきデータがすべてroot:rootやgit:rootなどとなり正しくGitLabからデータにアクセスすることが不可能だった。

## 再発防止策
root状態でコピーを行った場合、オプションを指定しなければユーザーはrootになる。オプションを付けてコピーするか、root状態でコピーを行った時パーミッションを確認し必要があれば変更する。